{% if privexec_only %}
{%     if configuration_session %}
{%        include 'UTILITY_configure_session.j2' %}
{%     else %}
{%        include 'UTILITY_configure_terminal.j2' %}
{%     endif %}
{% endif %}
{% if ansible_network_os == 'arista.eos.eos' %}
{% elif ansible_network_os == 'cisco.ios.ios' %}
{% elif ansible_network_os == 'community.network.ce' %}
startup system-software flash:{{ image }}
{%     if 'stack' in inventory_hostname %}
{%         set start = (inventory_hostname.split('stack')[1].split('-')[0]) | int %}
{%         for i in range(1, start + 1) %}
startup system-software flash:{{ image }} slot {{ i }}
{%         endfor %}
{%     endif %}
startup patch flash:{{ patch }}
{%     if 'stack' in inventory_hostname %}
{%         set start = (inventory_hostname.split('stack')[1].split('-')[0]) | int %}
{%         for i in range(1, start + 1) %}
startup patch flash:{{ patch }} slot {{ i }}
{%         endfor %}
{%     endif %}
{%     if 'huawei_vrp' in group_names %}
{%         if 'huawei_campus' in group_names %}
{%         endif %}
{%         if 'huawei_datacenter' in group_names %}
{%         endif %}
{%     endif %}
{%     if 'huawei_yunshanos' in group_names %}
{%         if 'huawei_campus' in group_names %}
{%         endif %}
{%         if 'huawei_datacenter' in group_names %}
{%         endif %}
{%     endif %}
{% elif ansible_network_os == 'dellemc.os10.os10' %}
{#
--- has to be done manually because of password prompt and wait time? ---
system bash
sudo mv /home/admin/{{ image }} /mnt/usb/
exit
image download usb://{{ image }}
image install usb://{{ image }}
#}
boot system standby
{% elif ansible_network_os == 'dellemc.os9.os9' %}
{% elif ansible_network_os == 'dellemc.os6.os6' %}
boot system backup
{% elif ansible_network_os == 'community.network.aruba' %}
{% endif %}
{% if privexec_only %}
{%     if configuration_session %}
{%         include 'UTILITY_show_session-config_diffs.j2' %}
{%         include 'UTILITY_commit.j2' %}
{%     endif %}
{%     include 'UTILITY_end.j2' %}
{% endif %}
